namespace Trek_12.Views.Components;

public partial class ContentLeaderBoard : ContentView
{
	public ContentLeaderBoard()
	{
		InitializeComponent();
	}

    public static readonly BindableProperty Pseudo =
        BindableProperty.Create("Pseudo", typeof(string), typeof(ContentLeaderBoard), "");

    public string Pseudo
    {
        get => (string)GetValue(Pseudo);
        set => SetValue(Pseudo, value);
    }

    public static readonly BindableProperty Pseudo =
        BindableProperty.Create("Title", typeof(string), typeof(ContentLeaderBoard), "No Title");

    public string Title
    {
        get => (string)GetValue(TitleProperty);
        set => SetValue(TitleProperty, value);
    }

    public static readonly BindableProperty SubTitleProperty =
        BindableProperty.Create("SubTitle", typeof(string), typeof(ContentLeaderBoard), "Lorem Ipsum Dolor");

    public string SubTitle
    {
        get => (string)GetValue(SubTitleProperty);
        set => SetValue(SubTitleProperty, value);
    }
}